<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <base target="_top" />
  </head>
  <style>
    #page {
      display: flex;
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
      background-color: red;
    }
    #div {
      margin: auto;
      background-color: green;
    }
  </style>
  <body>
    <div id="page">
      <div id="div">a</div>
    </div>
  </body>
</html>
